Created: 2011-05-17 Assignee: Felix Schäfer
Updated: 2011-05-21 Due date:
Remote issue URL:
Affected version: unstable
Description: I haven't tested this thoroughly, but as far as I can tell, the comment on wikipage update forms isn't stored in 

the @notes@ field in the new journals scheme, and hence doesn't show on the history view.

(The comment isn't lost but stored at the wrong place, getting it out of that wrong place will be difficult, so I 
consider this issue blocking for 2.0)

Associated revisions
2011-05-20 03:44 pm - Felix SchÃ¤fer 
Save the comments to wiki page updates correctly. #415

2011-05-20 10:16 pm - Felix SchÃ¤fer 
Change test to use the new journalized interface. #415

2011-05-20 10:51 pm - Eric Davis
[#415] Fix functional tests that used the older interface

History
2011-05-19 08:54 pm - Felix Schäfer
- Status changed from Open to Ready for review

I think leaving the @comments@ field in the @wiki_contents@ table was an oversight as they are replaced by the @notes@ from 
@acts_as_journalized@. Here's my proposed changes, the big plus being that they don't break the current interface (put comments pertaining to the 
current change in @@wiki_content.comments@). There's a lot of cleanup that can be done in the @WikiController@ because of that, but I think that's 
for a later day.

<pre><code class="diff">diff --git a/app/models/wiki_content.rb b/app/models/wiki_content.rb
index 8fe1ec5..8bdca21 100644
--- a/app/models/wiki_content.rb
+++ b/app/models/wiki_content.rb
@@ -23,6 +23,10 @@ class WikiContent < ActiveRecord::Base
   validates_presence_of :text
   validates_length_of :comments, :maximum => 255, :allow_nil => true
 
+  attr_accessor :comments
+  
+  before_save :comments_to_journal_notes
+
   acts_as_journalized :event_type => 'wiki-page',
     :event_title => Proc.new {|o| "#{l(:label_wiki_edit)}: #{o.page.title} (##{o.version})"},
     :event_url => Proc.new {|o| {:controller => 'wiki', :id => o.page.wiki.project_id, :page => o.page.title, :version => o.version}
@@ -67,6 +71,12 @@ class WikiContent < ActiveRecord::Base
     last_journal.version
   end
+  private
+  
+  def comments_to_journal_notes
+    self.init_journal(author, comments)
+  end
+  
   # FIXME: This is for backwards compatibility only. Remove once we decide it is not needed anymore
   WikiContentJournal.class_eval do
     attr_protected :data
diff --git a/db/migrate/20110519194936_remove_comments_from_wiki_content.rb b/db/migrate/20110519194936_remove_comments_from_wiki_con
new file mode 100644
index 0000000..461cc70
--- /dev/null
+++ b/db/migrate/20110519194936_remove_comments_from_wiki_content.rb
@@ -0,0 +1,9 @@
+class RemoveCommentsFromWikiContent < ActiveRecord::Migration
+  def self.up
+    remove_column :wiki_contents, :comments
+  end
+
+  def self.down
+    add_column :wiki_contents, :comments, :string
+  end
+end</code></pre>

2011-05-20 06:45 am - Tim Felgentreff
Uh, stupid oversight by me there. I like the patch. You're right, there's a lot of code that can/should be removed from the wiki code, but I guess that 
doing a sweep and removing duplicate functionality from the codebase should be done from a stable version.

2011-05-20 01:48 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Tim Felgentreff wrote:
> I like the patch.

Great :-)

Applied in commit:dbc10d2730952ffcd5ac82b581663d3f69cab72b.

2011-05-20 03:52 pm - Gregor Schmidt
- Status changed from Closed to Open

I think removing the @comments@ from @wiki_contents@ broke the fixture loading. The @comments@ lines in source:test/fixtures/wiki_contents.yml 
should be removed as well.

2011-05-20 03:56 pm - Gregor Schmidt
- File 0001-415-Removing-commments-from-wiki_contents-fixtures-s.patch added

- Assignee set to Felix Schäfer

- Status changed from Open to Ready for review
Attached is a patch, that removed the erroneous lines.

2011-05-20 08:17 pm - Felix Schäfer
Thanks for the patch. I'll wait on the CI to confirm the tests work as expected this time ;-)

2011-05-21 05:30 am - Felix Schäfer
- Status changed from Ready for review to Closed

The CI seems to work through, so I consider this closed (again). Thanks for your help Gregor!

Files
0001-415-Removing-commments-from-wiki_contents-fixtures-s.patch 2.5 kB 2011-05-20 Gregor Schmidt
